@charset "utf-8";
/* CSS Document */

/* 星云夜船主站CSS样式 */
/* Designed by Wi-Fi Kun */

/* 元素位置初始化 */
body {
	margin: 0;
	padding: 0;
}

/* 横向宽页面布局 宽度大于1200px时启用 */
@media (min-width : 1200px ){

	/* 页面顶部位置 */
	.Top {
		position: absolute;
		top: 0px;
		left: 0px;
		width: 100%;
		height: 115px;
	}

	/* Logo位置 */
	.Logo {
		position: absolute;
		top: 30px;
		left: 50px;
		filter: drop-shadow(3px 3px 3px rgba(0,0,0,0.5));
	}

	/* 备案号和版权信息 */
	.ICP {
		position: absolute;
		top: 20px;
		right: 50px;
		filter: drop-shadow(1px 1px 1px rgba(0,0,0,0.5));
		text-align: end;
	}
	.ICP_Text {
		color: #232323;
	}

	/* 操作提示文字 */
	.Tips {
		position: absolute;
		top: 100px;
		width: 100vw;
		text-align: center;
		font-size: 30px;
		letter-spacing: 70px;
		text-indent: 70px;
		color: #FFFFFF;
		text-shadow: 5px 5px 10px rgba(0,0,0,0.5);
		pointer-events: none;
	}

	/* 页面分区 */
	.container {
		position: absolute;
		height: 100vh;
		width: 100%;
		-webkit-display: flex;
		display: flex;
	}
	.Area {
		position: relative;
		height: 100vh;
		-webkit-flex: 1;
		flex: 1;
	}
	/* 星云大陆 */
	.Mainland {
		background: url("img/oshw.jpg");
		background-size: cover;
		background-position: center center;
	}
	/* 星云夜船 */
	.Starship {
		background: url("img/pv.jpg");
		background-size: cover;
		background-position: center center;
	}
	/* 星云荒原 */
	.Wasteland {
		background: url("img/live.jpg");
		background-size: cover;
		background-position: center center;
	}

	/* 各分区标题 */
	/* 大标题 */
	.Title {
		position: absolute;
		bottom: 0px;
		width: 100%;
		font-size: 70px;
		text-shadow: 5px 5px 10px rgba(0,0,0,0.5);
		margin: auto;
  		text-align: center;
		opacity: 1;
	}
	/* 副标题 */
	.SubTitle {
		position: absolute;
		top: 50vh;
		width: 100%;
		font-size: 30px;
		text-shadow: 3px 3px 10px rgba(0,0,0,0.5);
		margin: auto;
  		text-align: center;
		opacity: 0;
	}
	/* MC服务器版本号 */
	.Version {
		position: absolute;
		bottom: 0px;
		width: 100%;
		font-size: 15px;
		text-shadow: 2px 2px 5px rgba(0,0,0,0.5);
		margin: auto;
  		text-align: center;
		opacity: 0;
	}
	/* 标题颜色 */
	.TXT_Light {
		color: #FFFFFF;
		text-shadow: 2px 2px 5px rgba(0,0,0,0.5);
	}
	.TXT_Dark {
		color: #232323;
		text-shadow: 2px 2px 5px rgba(0,0,0,0.5);
	}
	.TXT_Light2 {
		color: #FFFFFF;
		text-shadow: 0px 0px 5px rgba(0,0,0,0.5);
	}
	.TXT_Dark2 {
		color: #232323;
		text-shadow: 0px 0px 5px rgba(255,255,255,0.5);
	}
	/* 跳转链接 */
	a {
		text-decoration: none;
	}
	.Link {
		position: absolute;
		bottom: 30vh;
		width: 100%;
		text-align: center;
		opacity: 0;
	}
	.LinkBlock {
		position: absolute;
		bottom: 30vh;
		width: 100%;
		text-align: center;
	}
	.LinkLimitArea {
		position: relative;
		width: 350px;
		margin: auto;
	}
	.Link1 {
		position: absolute;
		left: 0px;
		width: 50%;
		text-align: center;
		opacity: 0;
	}
	.Link2 {
		position: absolute;
		right: 0px;
		width: 50%;
		text-align: center;
		opacity: 0;
	}
	/* 按钮形状 */
	.Button_Light {
		color: #232323;
		background-color: #FFFFFFCC;
		padding: 15px 15px 15px 15px;
		box-shadow: 0px 0px 10px rgba(255,255,255,0.5)
	}
	.Button_Dark {
		color: #FFFFFF;
		background-color: #232323CC;
		padding: 15px 15px 15px 15px;
		box-shadow: 0px 0px 10px rgba(0,0,0,0.5)
	}
	.Arrow {
		position: relative;
		top: 4px;
		left: 1px;
	}
}

/* 纵向窄页面布局 宽度小于1200px时启用 */
@media (max-width : 1200px ){
	
	/* 页面顶部位置 */
	.Top {
		position: absolute;
		top: 0px;
		right: 0px;
		width: 100%;
		height: 60px;
	}

	/* Logo位置 */
	.Logo {
		position: absolute;
		top: 15px;
		right: 15px;
		height: 30px;
		filter: drop-shadow(3px 3px 3px rgba(0,0,0,0.5));
	}
	.Logoimg {
		height: 100%;
	}
	
	/* 备案号和版权信息 */
	.ICP {
		position: absolute;
		width: 100%;
		bottom: 10px;
		right: 10px;
		text-align: right;
		filter: drop-shadow(1px 1px 1px rgba(0,0,0,0.5));
		font-size: 50%;
	}
	.ICP_Text {
		color: #232323;
	}
		
	/* 操作提示文字 */
	.Tips {
		display: none;
	}
	
	/* 页面分区 */
	.container {
		position: absolute;
		width: 100%;
		height: 100%;
		-webkit-display: flex;
		display: flex;
	}
	.Area {
		position: absolute;
		width: 100%;
		height: 33.33%;
		-webkit-flex: 1;
		flex: 1;
	}
	
	/* 星云大陆 */
	.Mainland {
		position: absolute;
		top: 0px;
		background: url("img/oshw.jpg");
		background-size: cover;
		background-position: center center;
	}
	/* 星云夜船 */
	.Starship {
		position: absolute;
		top: 33.33%;
		background: url("img/pv.jpg");
		background-size: cover;
		background-position: center center;
	}
	/* 星云荒原 */
	.Wasteland {
		position: absolute;
		top: 66.66%;
		background: url("img/live.jpg");
		background-size: cover;
		background-position: center center;
	}
	
	/* 各分区标题 */
	/* 大标题 */
	.Title {
		position: absolute;
		left: 50px;
		top: 0px;
		font-size: 50px;
		text-shadow: 5px 5px 10px rgba(0,0,0,0.5);
	}
	/* 副标题 */
	.SubTitle {
		position: absolute;
		left: 50px;
		top: 100px;
		font-size: 20px;
		text-shadow: 3px 3px 10px rgba(0,0,0,0.5);
  		text-align: left;
	}
	/* MC服务器版本号 */
	.Version {
		display: none;
	}
	/* 标题颜色 */
	.TXT_Light {
		color: #FFFFFF;
		text-shadow: 2px 2px 5px rgba(0,0,0,0.5);
	}
	.TXT_Dark {
		color: #232323;
		text-shadow: 2px 2px 5px rgba(0,0,0,0.5);
	}
	.TXT_Light2 {
		color: #FFFFFF;
		text-shadow: 0px 0px 5px rgba(0,0,0,0.5);
	}
	.TXT_Dark2 {
		color: #232323;
		text-shadow: 0px 0px 5px rgba(255,255,255,0.5);
	}
	/* 跳转链接 */
	a {
		text-decoration: none;
	}
	.Link {
		position: absolute;
		top: 200px;
		left: 50px;
		text-align: center;
	}
	.LinkBlock {
		position: absolute;
		width: 100%;
		top: 200px;
		left: 50px;
		text-align: center;
	}
	.LinkLimitArea {
		position: absolute;
		width: 350px;
		margin: auto;
	}
	.Link1 {
		position: absolute;
		left: 0px;
		text-align: center;
	}
	.Link2 {
		position: absolute;
		right: 0px;
		text-align: center;
	}
	/* 按钮形状 */
	.Button_Light {
		color: #232323;
		background-color: #FFFFFFCC;
		padding: 15px 15px 15px 15px;
		box-shadow: 0px 0px 10px rgba(255,255,255,0.5)
	}
	.Button_Dark {
		color: #FFFFFF;
		background-color: #232323CC;
		padding: 15px 15px 15px 15px;
		box-shadow: 0px 0px 10px rgba(0,0,0,0.5)
	}
	.Arrow {
		position: relative;
		top: 4px;
		left: 1px;
	}

}
